<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:fresco="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical">
    <!-- w:h=16:10.5 -->

    <!-- w:h=16:7 -->
    <com.lightgame.view.scale.ScaleFrameLayout
        android:id="@+id/viewpager_container"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:visibility="visible"
        app:fractionValue="0.4375"
        app:measureBy="width">

        <com.gh.gamecenter.common.view.autoscrollviewpager.AutoScrollViewPager
            android:id="@+id/view_pager"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:overScrollMode="never" />

        <LinearLayout
            android:id="@+id/viewpager_ll_hint"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="bottom|center"
            android:gravity="center"
            android:orientation="horizontal"
            android:paddingLeft="10dp"
            android:paddingRight="10dp"
            android:paddingBottom="6dp" />

        <TextView
            android:id="@+id/viewpager_tv_failure"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center"
            android:text="@string/tap_to_reload"
            android:textColor="@color/title"
            android:textSize="14sp"
            android:visibility="gone" />

    </com.lightgame.view.scale.ScaleFrameLayout>


    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/navigationRv"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="16dp"
        android:layout_marginRight="16dp" />

    <!-- 16:3.5 -->
    <FrameLayout
        android:id="@+id/entrance_container"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="bottom"
        android:paddingLeft="8dp"
        android:paddingTop="16dp"
        android:paddingRight="8dp"
        android:paddingBottom="14dp"
        android:visibility="visible"
        app:measureBy="width">

        <TextView
            android:id="@+id/home_subject_failure"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_gravity="center"
            android:gravity="center"
            android:text="@string/tap_to_reload"
            android:textColor="@color/title"
            android:textSize="14sp"
            android:visibility="gone" />

        <LinearLayout
            android:id="@+id/home_subject_ll"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_gravity="center"
            android:orientation="horizontal">

            <LinearLayout
                android:id="@+id/entrance_container1"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center"
                android:orientation="vertical">

                <com.facebook.drawee.view.SimpleDraweeView
                    android:id="@+id/entrance_icon1"
                    android:layout_width="30dp"
                    android:layout_height="30dp"
                    fresco:placeholderImage="@drawable/home_subject_placeholder" />

                <TextView
                    android:id="@+id/entrance_name1"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp"
                    android:maxLines="1"
                    android:textColor="@color/text_3a3a3a"
                    android:textSize="12sp" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/entrance_container2"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center"
                android:orientation="vertical">

                <com.facebook.drawee.view.SimpleDraweeView
                    android:id="@+id/entrance_icon2"
                    android:layout_width="30dp"
                    android:layout_height="30dp"
                    fresco:placeholderImage="@drawable/home_subject_placeholder" />

                <TextView
                    android:id="@+id/entrance_name2"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp"
                    android:maxLines="1"
                    android:textColor="@color/text_3a3a3a"
                    android:textSize="12sp" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/entrance_container3"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center"
                android:orientation="vertical">

                <com.facebook.drawee.view.SimpleDraweeView
                    android:id="@+id/entrance_icon3"
                    android:layout_width="30dp"
                    android:layout_height="30dp"
                    fresco:placeholderImage="@drawable/home_subject_placeholder" />

                <TextView
                    android:id="@+id/entrance_name3"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp"
                    android:maxLines="1"
                    android:textColor="@color/text_3a3a3a"
                    android:textSize="12sp" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/entrance_container4"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center"
                android:orientation="vertical">

                <com.facebook.drawee.view.SimpleDraweeView
                    android:id="@+id/entrance_icon4"
                    android:layout_width="30dp"
                    android:layout_height="30dp"
                    fresco:placeholderImage="@drawable/home_subject_placeholder" />

                <TextView
                    android:id="@+id/entrance_name4"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp"
                    android:maxLines="1"
                    android:textColor="@color/text_3a3a3a"
                    android:textSize="12sp" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/entrance_container5"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center"
                android:orientation="vertical">

                <com.facebook.drawee.view.SimpleDraweeView
                    android:id="@+id/entrance_icon5"
                    android:layout_width="30dp"
                    android:layout_height="30dp"
                    fresco:placeholderImage="@drawable/home_subject_placeholder" />

                <TextView
                    android:id="@+id/entrance_name5"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp"
                    android:maxLines="1"
                    android:textColor="@color/text_3a3a3a"
                    android:textSize="12sp" />
            </LinearLayout>
        </LinearLayout>
    </FrameLayout>
</LinearLayout>
